{% extends "_base.html" %}

{% block content %}
  <form class="form-horizontal" role="form" method="POST" enctype="multipart/form-data">
    <div class="row">
      {% if mensaje %}
        <div class="alert alert-danger alert-dismissable">
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
          <i class="fa fa-remove pr10"></i>
          <strong>Ups!</strong> {{ mensaje }}
          
        </div>
      {% endif %}
      <div class="col-md-8">
        <div class="panel">
            <div class="panel-heading">
              <span class="panel-icon"></span>
              <span class="panel-title"> Matriz</span>
            </div>

            <div class="panel-body">

              <div class="form-group">
                <div class="col-lg-2">

                  <div class="input-group">
                    <span class="input-group-addon">
                      <i class="">R</i>
                    </span>
                    <input type="text" class="form-control" placeholder="valor R..."  name="R"  id="id_R" >
                  </div>

                </div>
                <div class="col-lg-2">

                  <div class="input-group">
                    <span class="input-group-addon">
                      <i class="">C</i>
                    </span>
                    <input type="text" class="form-control" placeholder="valor C..."  name="C"  id="id_C" >
                  </div>

                </div>
                <div class="col-lg-2">

                  <div class="input-group">
                    <span class="input-group-addon">
                      <i class="">X</i>
                    </span>
                    <input type="text" class="form-control" placeholder="valor X..."  name="X"  id="id_X" >
                  </div>

                </div>
                <div class="col-lg-2">

                  <div class="input-group">
                    <span class="input-group-addon">
                      <i class="">Y</i>
                    </span>
                    <input type="text" class="form-control" placeholder="valor Y..."  name="Y"  id="id_Y" >
                  </div>

                </div>
                <div class="col-lg-2">

                  <div class="input-group">
                    <span class="input-group-addon">
                      <i class="">Z</i>
                    </span>
                    <input type="text" class="form-control" placeholder="valor Z..."  name="Z"  id="id_Z" >
                  </div>

                </div>
                <center><input type="submit" class="btn btn-md btn-system" value="Enviar"></center>
                <span class="help-block mt5">
                  <i class="fa fa-bell"></i> Importante recordar! </span>
                  
                <div class="col-md-6">
                  <span class="help-block mt5">
                    <i class="glyphicons glyphicons-chevron-right"></i> R y C deben ser mayores que 0 
                  </span>
                  <span class="help-block mt5">
                    <i class="glyphicons glyphicons-chevron-right"></i> X y Y deben ser mayores o iguales que 0 
                  </span>
                  <span class="help-block mt5">
                    <i class="glyphicons glyphicons-chevron-right"></i> Z deben ser mayores a 0  y menor que 1000000
                  </span>
                  <span class="help-block mt5">
                    <i class="glyphicons glyphicons-chevron-right"></i> Y no puede ser mayor o igual que R 
                  </span>
                  <span class="help-block mt5">
                    <i class="glyphicons glyphicons-chevron-right"></i> Los numeros ingresados deben ser numeros enteros
                  </span>
                </div>
              </div>

              

            </div>
            
        </div>
      </div>
      <div class="col-md-4">
        <div class="panel">
            <div class="panel-heading">
              <span class="panel-icon"></span>
              <span class="panel-title"> Resultado</span>
            </div>    
            <div class="panel-body">
              <div class="form-group">
                <div class="col-lg-12">

                  <div class="input-group">
                     <input type="text" class="form-control" placeholder="Aqui se mostrara el resultado..."  value="{{ resultado }}" id="id_resultado"  disabled>
                    <span class="input-group-addon">
                      <i class="glyphicons glyphicons-ok_2"></i>
                    </span>
                  </div>

                </div>
              </div>

              
            </div>
        </div>
      </div>
    </div>
  </form>
{% endblock %}